# RTI::FedTime Class Reference

`#include <RTI.hh>`

Inheritance diagram for RTI::FedTime:

[legend]

List of all members.

## Public Member Functions
virtual | ~FedTime ()
virtual void | setZero ()=0
virtual Boolean | isZero ()=0
virtual void | setEpsilon ()=0
virtual void | setPositiveInfinity ()=0
virtual Boolean | isPositiveInfinity ()=0
virtual FedTime & | operator+= (const FedTime &)=0 throw (InvalidFederationTime)
virtual FedTime & | operator-= (const FedTime &)=0 throw (InvalidFederationTime)
virtual Boolean | operator<= (const FedTime &) const =0 throw (InvalidFederationTime)
virtual Boolean | operator< (const FedTime &) const =0 throw (InvalidFederationTime)
virtual Boolean | operator>= (const FedTime &) const =0 throw (InvalidFederationTime)
virtual Boolean | operator> (const FedTime &) const =0 throw (InvalidFederationTime)
virtual Boolean | operator== (const FedTime &) const =0 throw (InvalidFederationTime)
virtual FedTime & | operator= (const FedTime &)=0 throw (InvalidFederationTime)
virtual int | encodedLength () const =0
virtual void | encode (char *) const =0
virtual int | getPrintableLength () const =0
virtual void | getPrintableString (char *)=0

## Detailed Description

Definition at line 431 of file RTI.hh.

## Constructor & Destructor Documentation

virtual ~FedTime | ( |  | ) | `[inline, virtual]`

Definition at line 434 of file RTI.hh.

## Member Function Documentation

virtual void setZero | ( |  | ) | `[pure virtual]`

Implemented in RTIfedTime.

virtual Boolean isZero | ( |  | ) | `[pure virtual]`

Implemented in RTIfedTime.

virtual void setEpsilon | ( |  | ) | `[pure virtual]`

Implemented in RTIfedTime.

virtual void setPositiveInfinity | ( |  | ) | `[pure virtual]`

Implemented in RTIfedTime.

virtual Boolean isPositiveInfinity | ( |  | ) | `[pure virtual]`

Implemented in RTIfedTime.

virtual FedTime& operator+= | ( | const FedTime & |  | ) | throw (InvalidFederationTime)`[pure virtual]`

Implemented in RTIfedTime.

virtual FedTime& operator-= | ( | const FedTime & |  | ) | throw (InvalidFederationTime)`[pure virtual]`

Implemented in RTIfedTime.

virtual Boolean operator<= | ( | const FedTime & |  | ) | const throw (InvalidFederationTime)`[pure virtual]`

Implemented in RTIfedTime.

virtual Boolean operator< | ( | const FedTime & |  | ) | const throw (InvalidFederationTime)`[pure virtual]`

Implemented in RTIfedTime.

virtual Boolean operator>= | ( | const FedTime & |  | ) | const throw (InvalidFederationTime)`[pure virtual]`

Implemented in RTIfedTime.

virtual Boolean operator> | ( | const FedTime & |  | ) | const throw (InvalidFederationTime)`[pure virtual]`

Implemented in RTIfedTime.

virtual Boolean operator== | ( | const FedTime & |  | ) | const throw (InvalidFederationTime)`[pure virtual]`

Implemented in RTIfedTime.

virtual FedTime& operator= | ( | const FedTime & |  | ) | throw (InvalidFederationTime)`[pure virtual]`

Implemented in RTIfedTime.

virtual int encodedLength | ( |  | ) | const`[pure virtual]`

Implemented in RTIfedTime.

virtual void encode | ( | char * |  | ) | const`[pure virtual]`

Implemented in RTIfedTime.

virtual int getPrintableLength | ( |  | ) | const`[pure virtual]`

Implemented in RTIfedTime.

virtual void getPrintableString | ( | char * |  | ) | `[pure virtual]`

Implemented in RTIfedTime.

The documentation for this class was generated from the following file:

- RTI.hh